package com.usky.iot.service.enums;

/**
 *
 * @author fyc
 * @email yuchuan.fu@chinausky.com
 * @date 2025/2/7
 */
public enum TopicInfo {

    GATEWAY_DEVICE("网关设备","gatewayDevice"),
    IOT_PLATFORM("物联网平台","IoTPlatform"),
    ADD_REMARKS("网关设备添加子设备","add"),
    INFO_REMARKS("网关设备指标数据上报","info"),
    CONTROL_REMARKS("网关设备命令下发","control"),
    CONTROL_RESPONSE_REMARKS("网关设备命令响应","controlResponse");

    private String value;
    private String letter;

    TopicInfo(String value, String letter){
        this.value = value;
        this.letter = letter;
    }


    public String getValue() {
        return value;
    }

    public String getLetter(){
        return letter;
    }
}
